@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@400&display=swap');

body {
    font-family: 'quicksand', sans-serif;


}



.background-container {
    background-image: url('/fileadmin/templates/bp/background.png'); /* Pfad zum Hintergrundbild */
    background-size: cover; /* Stellt sicher, dass das Bild den gesamten Container abdeckt */
    background-position: center; /* Zentriert das Bild im Container */
    background-repeat: no-repeat; /* Verhindert das Wiederholen des Bildes */
   padding-bottom:50px;
    padding-top: 50px; /* Gleicht den Inhalt wieder aus */
}

.background-container-ohne {
    
    background-size: cover; /* Stellt sicher, dass das Bild den gesamten Container abdeckt */
    background-position: center; /* Zentriert das Bild im Container */
    background-repeat: no-repeat; /* Verhindert das Wiederholen des Bildes */
   padding-bottom:50px;
    padding-top: 50px; /* Gleicht den Inhalt wieder aus */
}

.container-fluid {
    padding-left: 0 !important;
    padding-right: 0 !important;
}



/*------------------------Schriften-----------------------------------*/
h1 {
  font-size:2rem;
    color:#de002e;
  font-weight:bold;

}

h2 {
    color:#de002e;
  font-weight:bold;
  margin-bottom:30px;
}

h3 {
    color:#de002e;
   font-weight:bold;
}

h4 {
    color: #de002e;
    font-weight:bold !important;
}

h5 {
   color:#404040;
  font-weight:bold;
}

p {
  color:#404040;
  font-weight:bold;
}
.my-title {
  font-weight: 700;
  margin-top: 5rem;
  margin-bottom: 1rem;
   color:#404040;
}

.frame-type-menu_pages ul {
    display: flex;           /* Flexbox aktivieren */
    flex-wrap: wrap;         /* Zeilen umbrechen */
    gap: 10px;               /* Abstand zwischen den Buttons */
    padding: 0;
    margin: 0;
    list-style: none;        /* Aufzählung entfernen */
}

.frame-type-menu_pages ul li {
    flex: 1 1 calc(25% - 10px); /* 4 pro Reihe */
    min-width: 120px;            /* verhindert zu kleine Buttons */
}

.frame-type-menu_pages ul li a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 16px;
    text-decoration: none;
    font-weight: bold;
    
    color: #fff;
    background-color: #dc3545; /* Danger-Rot */
    border-radius: 5px;
    transition: background-color 0.3s ease, transform 0.2s ease;
    text-align: center;
}

.frame-type-menu_pages ul li a:hover {
    background-color: #b02a37;
    transform: translateY(-2px);
}



/*-------------------------------Hintergrundsbild----------------------------------*/

.bg-image {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
   
}
/*-----------------------------------Buttons------------------------------*/
.btn-outline-primary {
    --bs-btn-color: #de002e;
    --bs-btn-border-color: #de002e;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg:#de002e;
    --bs-btn-hover-border-color: #de002e;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg:#de002e;
    --bs-btn-active-border-color: #de002e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #de002e;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color:#de002e;
    --bs-gradient: none;
    border-width: 3px;
    font-weight: bold;
}



.btn-primary {
     --bs-btn-color: #fff;
    --bs-btn-bg: #de002e;
    --bs-btn-border-color: #de002e;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #b8001f;
    --bs-btn-hover-border-color: #b8001f;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #de002e;
    --bs-btn-active-border-color: #de002e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color:#b8001f;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color:#b8001f;
    --bs-gradient: none;
    border-width: 3px;
    font-weight: bold;
  margin-bottom:1rem;
  margin-top:0,5rem;
}

.btn-light {
     --bs-btn-color:#de002e;
    --bs-btn-bg: #fff;
    --bs-btn-border-color:#fff;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg:#b8001f;
    --bs-btn-hover-border-color: #b8001f;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #b8001f;
    --bs-btn-active-border-color: #b8001f;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color:#b8001f;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color:#b8001f;
    --bs-gradient: none;
    border-width: 3px;
    font-weight: bold;
}

.row-image {
    width: 100%;
    height: auto;
}


/*----------------------------------Liste --------------------------------*/
ul {
    list-style: none;

    padding-left: 0;

}

li::marker {
    content: "";

}

/*--------------------------------------Links-------------------------------*/
a {
    text-decoration: none;
    color: #b8001f;
  font-weight:bold;
}

p a {
    text-decoration: underline; 
    color:#b8001f; 
    font-weight: bold; 
}
.icon-link {
    font-weight: bold;
  color:#404040;
 
  margin-bottom:1rem;

}

.icon-link:hover {
    font-weight: bold;
  color:#b8001f;
   text-decoration: underline;
  margin-bottom:1rem;

}


/*--------------------------Cards -------------------------------------*/
.card {
    background-color: white;
  margin-bottom:1rem;
}

.card-title {
    color: #de002e;
    font-weight: bold;
  margin-bottom:1.5rem;
}


.grow {
    transition: transform .3s;
}

.grow:hover {
    transform: scale(1.025);
}

/*---------------------------------Accordion--------------------------------- */

.accordion {
    --bs-accordion-border-width: 0;
}

.accordion-button {
  background: linear-gradient(90deg, #F5F5F5, #D9D9D9);
  color:#404040;
  font-weight:bold;
  border-radius: var(--bs-accordion-border-radius);
  --bs-accordion-btn-focus-border-color: #D9D9D9;
  --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem rgba(222, 0, 46, 0.25);
--bs-accordion-btn-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23404040' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
--bs-accordion-btn-active-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23404040' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");

} 
.accordion-button:not(.collapsed) {
  color:#404040 !important;
}

.accordion-button:after {
  background-image: var(--bs-accordion-btn-icon) !important;
}

.accordion-button:not(.collapsed)::after {
  background-image: var(--bs-accordion-btn-active-icon) !important;
}
/*---------------------------------Footer--------------------------------- */
footer {
    background-color: #b8001f;
    color: white;
}

footer a {
    color: white;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}

footer h5,
footer p {
    color: white;
}
/*------------------------------------------Carousel---------------------------------------*/
.carousel-item {
   transition: transform 0.5s ease;
}


#myCarousel .carousel-item {
    border-radius: 15px;
    overflow: hidden; /* Verhindert, dass Inhalt über die Ecken hinausgeht */
}

.carousel-control-prev {
    left: -200px;
}

.carousel-control-next {
    right: -200px;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
      color: #643F65;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    font-size: 2rem;

}

#carousel1>div.carousel-inner>div.carousel-item>div {
    right: 0%;
    left: 50%;
    text-align: left;
    padding-left: 15px;
}

.carousel-caption{
    position: absolute;
    right: 7%;
    bottom: 1.25rem;
    left: 40%;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    color: #fff;
    text-align: center;
}

.carousel .carousel-indicators button {
    width: 10px;
    height: 10px;
    border-radius: 100%;
    position: relative;
    bottom: -70px;
    margin-inline: 20px;
}

.carousel .carousel-indicators button {
    background-color: rgb(77, 77, 77);
}

.carousel .carousel-indicators li.active {
    background-color: rgb(66, 66, 66);
}

.custom-carousel-button {
    margin-top: 100px; /* Abstand zwischen Controlls und Button */
    display: flex;
    justify-content: center;
}


#carouselmenu>div.carousel-innen>div.carousel-item>div {
    right: 0%;
    left: 50%;
    text-align: center;
    padding-left: 10px;
}

.text-start{
    font-weight: bold;
}

.extra-margin-top {
    margin-top: 150px;
}

.carousel-arrow{
  margin-top:1rem;
} 
#myCarousel{
  margin-top:2rem;
}

/*-----Caption bei Bildelement---*/
.captionimg {
font-size:12px;
color:#a0001a;
  margin-top:5px;
  margin-right:10px;
}
.ce-gallery figcaption {
    display: block;      /* oder z.B. initial / unset */
    caption-side: unset; /* entfernt die Vorgabe */
}
/*-----Bildelement---*/
.img-fluid{
    object-fit: cover;
    border-radius: 7px !important;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2)!important;
}
/*-----Navigation---*/

.nav-link{

  font-weight:bold;
  color:#de002e;
 
}

.nav-link:hover{
 color: #a0001a;
   text-decoration:underline;
 
  
}
.top{
  font-size:1.15rem;
}

.top.hover{
  text-decoration:underline;
}

.sub{
  color:#404040;
}

.sub:hover{
   text-decoration:underline;
}

.dropdown-submenu {
    position: absolute;
    left: 100%;
    top: 0;
}

.nav-item.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0; /* Verhindert ein Springen des Menüs */
   border: none !important;
   box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1) !important; /* Sanfter Schatten */
}
.nav-item .nav-link.active {
    color: #de002e!important;
}

/*-----breadcrumb---*/
.breadcrumb li {
    display: inline-block;
    margin-right: 10px;
    position: relative;
  color: #de002e;
  font-weight:bold;
}


.search-input-group {
    max-width: 600px; 
}

/* ---------RESPONSIVE DESOGN-----------------------------*/

@media (max-width:1390px) {


  .carousel-control-prev,
  .carousel-control-next {
    display: none !important;
  }
 


}

